package http

import (
	"gitlink.org.cn/cloudream/common/pkgs/ioswitch/exec"
	"gitlink.org.cn/cloudream/jcs-pub/common/pkgs/storage/pool"
)

type Service struct {
	swWorker *exec.Worker
	stgPool  *pool.Pool
}

func NewService(swWorker *exec.Worker, stgPool *pool.Pool) *Service {
	return &Service{
		swWorker: swWorker,
		stgPool:  stgPool,
	}
}
